<p-table [value]="dates">
  <ng-template pTemplate="header">
      <tr>
          <th pSortableColumn="title">Title<p-sortIcon field="title"></p-sortIcon></th>
          <th pSortableColumn="date">Date<p-sortIcon field="date"></p-sortIcon></th>
      </tr>
  </ng-template>
  <ng-template pTemplate="body" let-date>
      <tr>
          <td>{{date.title}}</td>
          <td>{{date.date | date:'dd/MM/yyyy'}}</td>
      </tr>
  </ng-template>
</p-table>
